DefaultRequestStateLookupStrategy (Grails 6.0.0)

Package: org.grails.web.servlet.mvc

## [Java] Class DefaultRequestStateLookupStrategy

- org.grails.web.servlet.mvc.DefaultRequestStateLookupStrategy

- All Implemented Interfaces and Traits:
    GrailsRequestStateLookupStrategy

      public class DefaultRequestStateLookupStrategy
      extends java.lang.Object
      implements GrailsRequestStateLookupStrategy

  Default implementation that uses the web request to obtain information about the currently executing request.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_REQUEST_ENCODING` |
    `private GrailsApplication` | `grailsApplication` |
    `private GrailsWebRequest` | `webRequest` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultRequestStateLookupStrategy ()`
    `DefaultRequestStateLookupStrategy (GrailsWebRequest webRequest)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String` | `getActionName()`
    `` | `private java.lang.String` | `getActionName(GrailsApplication application, java.lang.String controllerName)`
    `` | `public java.lang.String` | `getActionName(java.lang.String controllerName)`
    `` | `public java.lang.String` | `getCharacterEncoding()`
    `` | `public java.lang.String` | `getContextPath()`
    `` | `public java.lang.String` | `getControllerName()`
    `` | `private java.lang.String` | `getControllerNameInternal(GrailsWebRequest req)`
    `` | `public java.lang.String` | `getControllerNamespace()`
    `` | `public java.lang.String` | `getHttpMethod()`
    `` | `public GrailsWebRequest` | `getWebRequest()`
    `` | `public void` | `setGrailsApplication(GrailsApplication grailsApplication)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String DEFAULT_REQUEST_ENCODING

    - #### private GrailsApplication grailsApplication

    - #### private GrailsWebRequest webRequest

  - ### Constructor Detail

    - #### public DefaultRequestStateLookupStrategy()

    - #### public DefaultRequestStateLookupStrategy(GrailsWebRequest webRequest)

  - ### Method Detail

    - #### public java.lang.String getActionName()

    - #### private java.lang.String getActionName(GrailsApplication application, java.lang.String controllerName)

    - #### public java.lang.String getActionName(java.lang.String controllerName)

    - #### public java.lang.String getCharacterEncoding()

    - #### public java.lang.String getContextPath()

    - #### public java.lang.String getControllerName()

    - #### private java.lang.String getControllerNameInternal(GrailsWebRequest req)

    - #### public java.lang.String getControllerNamespace()

    - #### @java.lang.Override public java.lang.String getHttpMethod()

    - #### public GrailsWebRequest getWebRequest()

    - #### @org.springframework.beans.factory.annotation.Autowired public void setGrailsApplication(GrailsApplication grailsApplication)